Subject: bug#5256: conjunct formation should follow input sequence when inserting text

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 25 Dec 2009 13:00:44 +0900

>>>>> On Fri, 25 Dec 2009 11:48:13 +0900, Kenichi Handa <[email-masked]> said:

>> Ah, I see your point.  It seems that we must set
>> disable-point-adjustment to t when a character/string is inserted
>> in a buffer.  I'll work on it.

> I fixed it.  Please try again with the lastest code.

It seems to crash on undo.

Steps to reproduce.

  1. emacs -Q
  2. C-x u

(gdb) bt
#0  0x9266be42 in __kill ()
#1  0x9266be34 in kill$UNIX2003 ()
#2  0x926de23a in raise ()
#3  0x926ea679 in abort ()
#4  0x0022bd07 in buf_charpos_to_bytepos (b=0xd01678, charpos=192) at .../emacs/src/marker.c:141
#5  0x003a5f27 in find_automatic_composition (pos=192, limit=-1, start=0xbffff414, end=0xbffff410, gstring=0xbffff40c, string=33554442) at .../emacs/src/composite.c:1310
#6  0x003a9ed1 in composition_adjust_point (last_pt=192, new_pt=192) at .../emacs/src/composite.c:1485
#7  0x001cbbaa in command_loop_1 () at .../emacs/src/keyboard.c:1981
#8  0x002c727e in internal_condition_case (bfun=0x1c713d <command_loop_1>, handlers=33588914, hfun=0x1c64f4 <cmd_error>) at .../emacs/src/eval.c:1490
#9  0x001c6bd6 in command_loop_2 () at .../emacs/src/keyboard.c:1360
#10 0x002c6b0e in internal_catch (tag=33586058, func=0x1c6ba1 <command_loop_2>, arg=33554442) at .../emacs/src/eval.c:1226
#11 0x001c6b5f in command_loop () at .../emacs/src/keyboard.c:1339
#12 0x001c5916 in recursive_edit_1 () at .../emacs/src/keyboard.c:954
#13 0x001c5fc2 in Frecursive_edit () at .../emacs/src/keyboard.c:1016
#14 0x001c3598 in main (argc=2, argv=0xbffff958) at .../emacs/src/emacs.c:1833

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 23.1.90.1 (i386-apple-darwin9.8.0, X toolkit, Xaw3d scroll bars)
 of 2009-12-25 on yamamoto-mitsuharu-no-mac-mini.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-x' '--without-gif' '--without-jpeg' '--without-tiff' 'CFLAGS=-g -Wno-pointer-sign -DENABLE_CHECKING''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t